#
# spec file for package ghc-text-show
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name text-show
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.7.2
Release:        8.3
Summary:        Efficient conversion of values into Text
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-contravariant-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-ghc-boot-th-devel
BuildRequires:  ghc-nats-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-abstraction-devel
BuildRequires:  ghc-th-lift-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-void-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-base-orphans-devel
BuildRequires:  ghc-deriving-compat-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-quickcheck-instances-devel
%endif

%description
'text-show' offers a replacement for the 'Show' typeclass intended for use with
'Text' instead of 'String's. This package was created in the spirit of
'<http://hackage.haskell.org/package/bytestring-show bytestring-show>'.

At the moment, 'text-show' provides instances for most data types in the
'<http://hackage.haskell.org/package/array array>',
'<http://hackage.haskell.org/package/base base>',
'<http://hackage.haskell.org/package/bytestring bytestring>', and
'<http://hackage.haskell.org/package/text text>' packages. Therefore, much of
the source code for 'text-show' consists of borrowed code from those packages
in order to ensure that the behaviors of 'Show' and 'TextShow' coincide.

For most uses, simply importing "TextShow" will suffice:

' module Main where

import TextShow

main :: IO () main = printT (Just "Hello, World!") '

See also the <https://github.com/RyanGlScott/text-show/wiki/Naming-conventions
naming conventions> page.

Support for automatically deriving 'TextShow' instances can be found in the
"TextShow.TH" and "TextShow.Generic" modules.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update text-show to version 3.7.2 revision 2.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 3.6 revision 1.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 3.4.1.1 revision 2 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 3.4.1.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 3.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.1.2 revision 2 with cabal2obs.
